import request from '@/utils/request'

// 查询菜单列表
export function listRepo(query) {
  return request({
    url: '/system/repo/list',
    method: 'get',
    params: query
  })
}

// 查询菜单详细
export function getRepo(repoId) {
  return request({
    url: '/system/repo/' + repoId,
    method: 'get'
  })
}

// 新增菜单
export function addRepo(data) {
  return request({
    url: '/system/repo/add',
    method: 'post',
    data: data
  })
}

// 修改菜单
export function updateRepo(data) {
  return request({
    url: '/system/repo',
    method: 'put',
    data: data
  })
}

// 删除菜单
export function delRepo(repoId) {
  return request({
    url: '/system/repo/' + repoId,
    method: 'delete'
  })
}
